Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request PUT \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding/{brandingId} \
--header 'Content-Type: application/json' \
--data '
{
"brand": {
"name": "<string>",
"privacy_policy_url": "<string>",
"terms_of_use_url": "<string>",
"permission_reminder": "<string>",
"website_url": "<string>"
},
"address": {
"street": "<string>",
"city": "<string>",
"postal": "<string>",
"state": "<string>",
"country": "<string>"
},
"contact": {
"email": "<string>",
"phone": "<string>"
},
"cockpits": {
"campaigns_overview_enabled": true,
"loyalty_enabled": true,
"gift_cards_enabled": true,
"coupons_enabled": true,
"referrals_enabled": true,
"theme": "orange",
"use_custom_double_opt_in_redirect_url": true,
"custom_double_opt_in_redirect_url": "<string>"
}
}
'{
"id": "brd_0ead90c940a9deef09",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": null
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "your_email@your-domain.com",
"phone": null
},
"cockpits": {
"campaigns_overview_enabled": false,
"loyalty_enabled": true,
"gift_cards_enabled": true,
"coupons_enabled": true,
"referrals_enabled": true,
"theme": "default",
"use_custom_double_opt_in_redirect_url": false,
"custom_double_opt_in_redirect_url": null
}
}Updates a brand configuration.
Only the fields sent in the request will be updated. The fields omitted in the request will remain unchanged.
📘 White Labelling
The white labelling settings which can be found in Project Settings > Brand Details and which are available only for Enterprise clients as a separate service can be configured only in the user interface.
curl --request PUT \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding/{brandingId} \
--header 'Content-Type: application/json' \
--data '
{
"brand": {
"name": "<string>",
"privacy_policy_url": "<string>",
"terms_of_use_url": "<string>",
"permission_reminder": "<string>",
"website_url": "<string>"
},
"address": {
"street": "<string>",
"city": "<string>",
"postal": "<string>",
"state": "<string>",
"country": "<string>"
},
"contact": {
"email": "<string>",
"phone": "<string>"
},
"cockpits": {
"campaigns_overview_enabled": true,
"loyalty_enabled": true,
"gift_cards_enabled": true,
"coupons_enabled": true,
"referrals_enabled": true,
"theme": "orange",
"use_custom_double_opt_in_redirect_url": true,
"custom_double_opt_in_redirect_url": "<string>"
}
}
'{
"id": "brd_0ead90c940a9deef09",
"brand": {
"name": "Voucherify PSA",
"privacy_policy_url": null,
"terms_of_use_url": null,
"permission_reminder": "You are receiving this email because you opted in at our website.",
"website_url": null
},
"address": {
"street": "Porcelanowa 23",
"city": "Katowice",
"postal": "43-246",
"state": null,
"country": "Poland"
},
"contact": {
"email": "your_email@your-domain.com",
"phone": null
},
"cockpits": {
"campaigns_overview_enabled": false,
"loyalty_enabled": true,
"gift_cards_enabled": true,
"coupons_enabled": true,
"referrals_enabled": true,
"theme": "default",
"use_custom_double_opt_in_redirect_url": false,
"custom_double_opt_in_redirect_url": null
}
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Provide the unique identifier of the project.
"proj_TrlkLiH4"
Provide the unique identifier of the brand configuration.
"brd_06d06m1944y0630hD4y"
Defines the brand configuration to be updated.
Returns the details about the updated brand configuration.
Response body schema for PUT /management/v1/projects/{projectId}/branding/{brandingId}.
Unique identifier of the brand configuration.
Defines basic brand details.
Show child attributes
Defines the address details.
Show child attributes
Defines contact details.
Show child attributes
Defines customer cockpit details.
Show child attributes
Was this page helpful?